package cn.yyxx.commsdk.base.entity;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

/**
 * @author #Suyghur.
 * Created on 2021/12/25
 */
@Retention(RetentionPolicy.SOURCE)
public @interface Function {
    String ATTACH_BASE_CONTEXT = "attachBaseContext";
    String INIT_APPLICATION = "initApplication";
    String INIT_AGREEMENT = "initAgreement";
    String INITIALIZE = "initialize";
    String LOGIN = "login";
    String LOGOUT = "logout";
    String CHARGE = "charge";
    String ROLE_CREATE = "roleCreate";
    String ROLE_LAUNCHER = "roleLauncher";
    String ROLE_UPGRADE = "roleUpgrade";
    String HAS_EXIT_VIEW = "hasExitView";
    String OPEN_EXIT_VIEW = "openExitView";
    String ON_START = "onStart";
    String ON_RESUME = "onResume";
    String ON_RESTART = "onRestart";
    String ON_PAUSE = "onPause";
    String ON_STOP = "onStop";
    String ON_DESTROY = "onDestroy";
    String ON_NEW_INTENT = "onNewIntent";
    String ON_ACTIVITY_RESULT = "onActivityResult";
    String ON_CONFIGURATION_CHANGED = "onConfigurationChanged";
    String ON_REQUEST_PERMISSIONS_RESULT = "onRequestPermissionsResult";
    String REQUEST_PERMISSION = "requestPermission";
    String GET_CURRENT_USER_ID = "getCurrentUserId";
    String GET_CURRENT_SDK_VERSION = "getCurrentSdkVersion";
    String ON_FLOAT_CENTER_LOGOUT = "onFloatCenterLogout";
}
