//
// Created by #Suyghur, on 2021/10/15.
//

#ifndef YYXXCOMMSDK_PARAMS_KIT_H
#define YYXXCOMMSDK_PARAMS_KIT_H

#include <string>
#include <jni.h>

#define CONFIG_FILE "YyrhParam.cnf"
#define GCP_CODE "GCP_CODE"


#ifdef __cplusplus
extern "C" {
#endif

class ParamsKit {
public:
    static std::string GetGcpCode(JNIEnv *env, jobject context);

private:
    static std::string GetCnfValue(JNIEnv *env, jobject context, const std::string &key);
};

#ifdef __cplusplus
}
#endif

#endif //YYXXCOMMSDK_PARAMS_KIT_H
